/* VARIÁVEIS */
:root {
  --main-blue-color: #1a4993;
  --main-red-color: #952625;
  --main-orange-color: #d67e29;
}

#container {
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: 20vh 60vh 20vh;
  grid-template-areas: "header"
                        "main"
                        "footer";
}

/* CABEÇALHO */
#header {
  grid-area: header;
  padding: 0 5%;
  display: flex;
  flex-direction: row;
  justify-content: space-evenly;
  align-items: center;
  background-color: rgb(240, 240, 240);
}

#header .header-left {
  width: 50%;
}

#header .header-left a {
  display: block;
  width: 100%;
}

#header .header-left a .logo {
  width: 150px;
  height: 150px;
  background: url('../_img/teixeirafm.webp') no-repeat center center/cover;
}

#header .header-right a {
  display: inline-block;
  padding: 8px;
}

#header .header-right a i:hover {
  color: var(--main-orange-color);
  transition: all 0.3s;
}

#header .header-right a i {
  font-size: 21pt;
  color: var(--main-blue-color);
}


/* CONTEÚDO/PLAYER */
#main {
  grid-area: main;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: var(--main-orange-color);
}

#main #main-content {
  display: flex;
  flex-direction: row;
  justify-content: space-evenly;
  align-items: center;
  width: 100%;
  max-width: 1300px;
}

#main #main-content #cover {
  padding: 2%;
}

#main #main-content #cover .cover-image{
  width: 300px;
  height: 300px;
  max-width: 300px;
  background: url('../_img/cover-104.webp') no-repeat center center/cover;
  box-shadow: 3px 3px 6px 0px rgba(0,0,0,.35);
}

#main #main-content #cover .whatsapp-link {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  width: 100%;
  cursor: pointer;
  margin-top: 10px;
}

#main #main-content #cover .whatsapp-link i {
  font-size: 21pt;
  color: #FFF;
  padding: 15px;
}

#main #main-content #cover .whatsapp-link h2 {
  font-size: 1.2em;
  color: #FFF;
}

#main #main-content #player {
  padding: 2%;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
}

#main #main-content #player .player-info {
  margin: 10px auto;
}

#main #main-content #player .player-info h1 {
  font-size: 2.3em;
  line-height: 1.3em;
  font-weight: bold;
  color: #FFF;
}

#main #main-content #player .player-info h2 {
  font-size: 1.5em;
  line-height: 1em;
  font-weight: 400;
  color: rgba(255,255,255,.6);
}

#main #main-content #player .player-controls {
  margin: 10px auto;
}

#main #main-content #player .player-controls .play-pause {
  font-size: 5em;
  padding: 5px;
  margin: 5px;
  color: #FFF;
  cursor: pointer;
  transition: all ease-in 0.3s;
}

#main #main-content #player .player-controls .play-pause:hover {
  transform: scale(1.2);
}

#main #main-content #player .player-controls .like,
#main #main-content #player .player-controls .unlike {
  font-size: 3em;
  padding: 5px;
  margin: 5px;
  color: #FFF;
  cursor: pointer;
  transition: all ease-in 0.3s;
}

#main #main-content #player .player-controls .like:hover,
#main #main-content #player .player-controls .unlike:hover {
  transform: scale(1.2);
}

#main #main-content #player .player-controls .volume-control {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  margin: 15px auto;
}

#main #main-content #player .player-controls .volume-control .volume-icon{
  font-size: 1em;
  color: #FFF;
  cursor: pointer;
  padding: 3px;
}

#main #main-content #player .player-controls .volume-control input[type="range"]{
  appearance: none;
  width: 100%;
  height: 5px;
  background: rgba(0,0,0,.35);
  border: none;
  border-radius: 15px;
  outline: none;
}

#main #main-content #player .player-controls .volume-control input[type="range"]::-webkit-slider-thumb{
  appearance: none;
  border: 2px solid #FFF;
  width: 25px;
  height: 25px;
  border-radius: 25px;
  background-color: var(--main-blue-color);
}

#main #main-content #player .player-controls .volume-control input[type="range"]::-moz-range-thumb{
  appearance: none;
  border: 2px solid #FFF;
  width: 20px;
  height: 20px;
  border-radius: 50%;
  background-color: var(--main-blue-color);
}

#main #main-content #line {
  width: 5px;
  background-color: #FFF;
  height: 30vh;
}

#main #main-content #next-program {
  padding: 2%;
}

#main #main-content #next-program h3 {
  font-size: 1em;
  line-height: 1em;
  font-weight: 400;
  color: #FFF;
}

#main #main-content #next-program h1 {
  font-size: 2.3em;
  line-height: 1.3em;
  font-weight: bold;
  color: #FFF;
}

#main #main-content #next-program h2 {
  font-size: 1.5em;
  line-height: 1em;
  font-weight: 400;
  color: rgba(255,255,255,.6);
}

/* RODAPÉ */
#footer {
  grid-area: footer;
  background-color: rgb(240, 240, 240);
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

#footer p {
  font-size: 1.2em;
  color: var(--main-blue-color);
}

#footer a {
  color: var(--main-blue-color);
  transition: all ease-in-out 0.3s;
}

#footer a:hover {
  color: var(--main-orange-color);
}

#footer .footer-top {
  font-weight: bold;
}
